Subject: Re: [bug#70733] [PATCH] gnu: guile-tap: Update to 0.5.0.
From: Christopher Baines <[email-masked]>
To: Frank Terbeck <[email-masked]>
Cc: [email-masked]
Date: Sun, 12 May 2024 19:36:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Frank Terbeck <[email-masked]> writes:

> * gnu/packages/guile-xyz.scm (guile-tap): Update to 0.5.0
>
> Signed-off-by: Frank Terbeck <[email-masked]>
> Change-Id: Ia8a02400f1d559fcec7eb9861f24a7116928814b
> ---
> This is my first contribution to Guix. I am the upstream for guile-tap,
> and was positively surprised by "guix refresh". Good stuff! This is
> basically the result of that.
>
> Additionally, I've added a "substitute*" call for bin/tap-harness, to
> replace the raw "guile" call in it with the full binary name via the
> "which" utility. This is analogous to the shebang-rewriting that the
> Guix does by default.
>
> This is done because bin/tap-harness used to be a program that had guile
> in it's shebang line, but now it is a shell script that calls out to
> guile.
>
> I am not sure if this is best practise, but I figured if this is done
> for shebang lines, it should be correct for raw calls to an interpreter
> line this as well.
>
>  gnu/packages/guile-xyz.scm | 8 +++++---
>  1 file changed, 5 insertions(+), 3 deletions(-)

Thanks for the patch Frank, it looks good and I think substituting the
full guile filename in tap-harness is correct.

I've pushed it to master as d2b9736c5e4c87af8264304d528c517633a282aa.

Chris